Uploaded image for project: 'Python Driver'
  1. Python Driver
  2. PYTHON-1126

gpg decrytion error after installing python 2.7.12 and pymongo

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Works as Designed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      Hi

      We are getting an gpg decryption error after installing python2.7.12(anaconda) and pymongo. Please note that the same gpg decryption was working fine earlier.
      Error:
      gpg: symbol lookup error: /opt/anaconda2-4.1.1/lib/libreadline.so.6: undefined symbol: PC

      Details for reference are mentioned below.
      2.7.12 |Anaconda 4.1.1 (64-bit)| (default, Jul 2 2016, 17:42:40)
      [GCC 4.4.7 20120313 (Red Hat 4.4.7-1)]

      "import pymongo; print(pymongo.version); print(pymongo.has_c())"
      3.3.0
      True

      OS-Red Hat Enterprise Linux Server release 6.4 (Santiago)

      LD_LIBRARY_PATH currently:
      /opt/Informatica/PowerCenter9.6.0/ODBC7.1/lib:.:/usr/lib:/usr/local/lib:/opt/oracle/client-11.2.0/lib:/opt/teradata/client/14.10/odbc_64/lib:/opt/Informatica/PowerCenter9.6.0/server/bin:/opt/Informatica/PowerCenter9.6.0/java/lib:/opt/Informatica/PowerCenter9.6.0/java/jre/lib:/opt/teradata/client/14.10/lib64:/opt/teradata/client/14.10/tbuild/lib64:/lib:/opt/Informatica/PowerCenter9.6.0/java/bin:/opt/Composite_Software/CIS_6.1.0/apps/odbc64/lib:/opt/Netezza/lib64::/opt/anaconda2-4.1.1/lib

      LD_LIBRARY_PATH previously(when gpg decryption was working fine too):
      /opt/Informatica/PowerCenter9.6.0/ODBC7.1/lib:.:/usr/lib:/usr/local/lib:/opt/oracle/client-11.2.0/lib:/opt/teradata/client/14.10/odbc_64/lib:/opt/Informatica/PowerCenter9.6.0/server/bin:/opt/Informatica/PowerCenter9.6.0/java/lib:/opt/Informatica/PowerCenter9.6.0/java/jre/lib:/opt/teradata/client/14.10/lib64:/opt/teradata/client/14.10/tbuild/lib64:/lib:/opt/Informatica/PowerCenter9.6.0/java/bin:/opt/Composite_Software/CIS_6.1.0/apps/odbc64/lib:/opt/Netezza/lib64

      Can you please help with this?

      Thanks,
      Sam

        Attachments

          Activity

            People

            Assignee:
            luke.lovett Luke Lovett
            Reporter:
            sam_py Sam
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: